// 全局组件注册
import LayoutTable from '@/components/Table.vue';
import LayoutForm from '@/components/Form.vue';
import TableButtons from '@/components/tools/TableButtons';
import FormButtons from '@/components/tools/FormButtons';
import Breadcrumb from '@/components/Breadcrumb';
import MySwitch from '@/components/Switch';
import Confirm from '@/components/Confirm';
import FormField from '@/components/FormField';
import Upload from '@/components/Upload';
import TreeTable from '@/components/TreeTable.vue';
import TopicInfo from '@/components/TopicInfo.vue';



const Prototype = function() {};

Prototype.install = (Vue, options) => {
  Vue.component('LayoutTable', LayoutTable) // 表格
  Vue.component('LayoutForm', LayoutForm) // 表单
  Vue.component('TableButtons', TableButtons) // 表格内的编辑和删除
  Vue.component('FormButtons', FormButtons) // 表单内的保存和取消
  Vue.component('Breadcrumb', Breadcrumb) // 面包屑导航
  Vue.component('Field', FormField) // 表单字段
  Vue.component('MySwitch', MySwitch) // 拨动开关
  Vue.component('Confirm', Confirm) // 局部确认窗口
  Vue.component('Upload', Upload) // 文件上传
  Vue.component('TreeTable', TreeTable) // 文件上传
  Vue.component('TopicInfo', TopicInfo) // 文件上传
  
}

export default Prototype;
